using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsPeakHistory {

        //최대전력 관제점 이력
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "데이터 저장 일시"), Key]
        public DateTime CreatedDateTime { get; set; }
        [Display(Name = "현재값"), Required]
        public double? CurrentValue { get; set; }

        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
